Bug 1262215 - graphics fall back to llvmpipe
graphics fall back to llvmpipe
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 03:55 EDT by Jakub
Modified: 2017-08-08 08:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:13:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg file with lot of trace calls concerning intel DRM (110.34 KB, text/plain)
2015-10-31 03:27 EDT, Jakub
no flags Details
wayland session (llvmpipe) (50.67 KB, text/plain)
2015-11-01 17:19 EST, Jakub
no flags Details
X session (10.33 KB, text/plain)
2015-11-01 17:20 EST, Jakub
no flags Details

  None (edit)
Description Jakub 2015-09-11 03:55:46 EDT
Description of problem:
the G945 chip is not being used

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. start laptop
2.
3.

Actual results:
glxinfo: Gallium0.4 on llvmpipe (LLVM3.6, 128 bits)

Expected results:
intel G45 

Additional info:
maybe kernel issue more than Xorg driver
Comment 1 Jakub 2015-10-31 03:27 EDT
Created attachment 1088137 [details]
dmesg file with lot of trace calls concerning intel DRM
Comment 2 Jakub 2015-11-01 05:43:22 EST
since wayland session is broken for now (see date - new gnome shell 3.19) i start with startx. It doesnt fall back to llvmpipe in this case (or no longer) but everything is painfully slow. and there are sometimes flickerings like it would load and unload something but fail to do so.
some things may in this report may be unrelated. like the traces and the fallback. because it seems to actually work somehow. but still its far from optimum.
Comment 3 Jakub 2015-11-01 17:19 EST
Created attachment 1088412 [details]
wayland session (llvmpipe)
Comment 4 Jakub 2015-11-01 17:20 EST
Created attachment 1088413 [details]
X session
Comment 5 Jakub 2015-11-01 17:25:07 EST
gnome seems to be fixed again (rawhide)
the wayland desktop session seems not to use hardware acceleration but the desktop is responsive and fast. while in X session the desktop is slow (with acceleration), video playback works nicely (sometimes, once "something" kicks in..)
the hardware only supports OpenGL1.4 (not 2.1)
-->GM945
Comment 6 Jakub 2015-11-07 14:32:40 EST
the fallback also happens in fedora 23. the performance on X is good though.
Comment 7 Jan Kurik 2016-02-24 08:44:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 8 Fedora End Of Life 2017-07-25 15:15:46 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-08-08 08:13:31 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.